<?php
////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright Silver Dolphin Solutions, LLC, Edward Lemmers, P.E.
// For licensing, see license.txt.
// Created: 4/9/2013
//
	
	include ("check_session.php");
	
	$enable_file_manager = $_SESSION['enable_file_manager'];
	if ($enable_file_manager != "100")
		header("Location: /index.php");
		
	//include ("lib/archive.php");
	include ("lib/copy_dir.php");
	
	//////////////////////////////////////
	ini_set('max_execution_time', 10000);
	set_time_limit(10000);
	//////////////////////////////////////////
?>
<html>
<head>
<title>Breeze Website Builder</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="manager.css" type="text/css">
<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon">
</script>
</head>
<body>
<h2>Installing plugin....</h2>
<?php
	
	if (is_uploaded_file($_FILES['plugin_file']['tmp_name']))
	{	
		$source = $_FILES['plugin_file']['tmp_name'];
		$file_name = $_FILES['plugin_file']['name'];
		$file_parts = explode(".", $file_name);
		$file_ext = $file_parts[count($file_parts) - 1];
		if (!((strcasecmp($file_ext, "tgz") == 0) || (strcasecmp($file_ext, "gz") == 0) || (strcasecmp($file_ext, "zip") == 0)))
		{
			echo "Only gzipped tar files are allowed to be uploaded, i.e. 'plugin.tgz' or 'plugin.tar.gz'.  Please click <a href='upload_plugin.php'>here</a> and try again.";
			exit;
		}
		$document_root = getenv('DOCUMENT_ROOT');
		$destination = $document_root . "/" . $file_name;
		move_uploaded_file( $source, $destination );
		$source = $destination;
		
		$destination = $document_root . "/tmp";
		if (!file_exists($destination))
			mkdir($destination, 0755);
		else
		{
			$bkup = $destination . date('YmdHis', time());
			rename($destination, $bkup);
			mkdir($destination, 0755);
		}
		
		// Extract contents of archive to disk
		echo "Extracting files...<br><br>\n";
		$zip = new ZipArchive;
		$res = $zip->open($source);
		if ($res === TRUE) {
		  $zip->extractTo($destination);
		  $zip->close();
		} else {
		  echo "There was an error extracting the files from your zip file.  Click <a href='upload_plugin.php'>here</a> to try again.";
		  exit;
		}
		
		// Copy files to correct folders.
		echo "Copying files...<br><br>\n";
		$source = $document_root . "/tmp";
		$destination = $document_root;
		copydir($source, $destination, 0755, true);
		unlink($document_root . "/plugin.sql");
		
		// Run template SQL
		$sql_file = "plugin.sql";
		include ("run_sql_file.php");
		
?>
		<h2>Plugin installation is comlplete.</h2>
        <p>Refresh your browser to add new plugin to list and new plugin button to menu.</p>

<?php
	}
	else
		echo "There was an error uploading the file.  Click <a href='upload_plugin.php'>here</a> to try again.";
?>